curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/cards/gateways/{gateway_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"card_products": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"custom_headers": {},
"standin": {
"enabled": true
},
"url": "<string>"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/cards/gateways/{gateway_id}"
payload = {
"active": True,
"card_products": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"custom_headers": {},
"standin": { "enabled": True },
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
card_products: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
custom_headers: {},
standin: {enabled: true},
url: '<string>'
})
};
fetch('https://api-sandbox.synctera.com/v0/cards/gateways/{gateway_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"card_products": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_modified_time": "2010-05-06T12:23:34.321Z",
"url": "<string>",
"custom_headers": {},
"standin": {
"enabled": true
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update Gateway
Update Authorization Gateway configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
The unique identifier of an Authorization gateway config
Body
Gateway edits
Current status of the Authorization gateway
List of Card Product unique identifiers that will utilize the Gateway
Custom Headers of the Authorization gateway
Show child attributes
Show child attributes
Show child attributes
Show child attributes
URL of the Authorization gateway
1000Response
Gateway Updated
Current status of the Authorization gateway
List of Card Product unique identifiers that will utilize the Gateway
The timestamp representing when the gateway config request was made
"2010-05-06T12:23:34.321Z"
Gateway ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The timestamp representing when the gateway config was last modified at
"2010-05-06T12:23:34.321Z"
URL of the Authorization gateway
1000Custom Headers of the Authorization gateway
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

